Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.uka.cmtm.serviceregistry.query.uddi
Class UddiServiceInstanceLocatorV01_08

    java.lang.Object
      de.uka.cmtm.serviceregistry.query.uddi.UddiServiceInstanceLocatorV01_08

All Implemented Interfaces:
  ServiceInstanceLocator

    public class UddiServiceInstanceLocatorV01_08

extends Object
implements ServiceInstanceLocator

A ServiceInstanceLocator that uses UDDI to locate service instances and the UDDI.org best practices 1.08 UDDI WSDL mapping.

Author:
  tilmann

Constructor Summary
`UddiServiceInstanceLocatorV01_08(UDDIProxy uddiProxy)` Creates a new UddiServiceInstanceLocatorV01_08

Method Summary
`List<ServiceInstanceInfo>` | `findSeviceInstances(ServiceInstanceParameter searchParameter)` Invoce this method to search for service instances that conform to the given search parameters.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UddiServiceInstanceLocatorV01_08

    public UddiServiceInstanceLocatorV01_08(UDDIProxy uddiProxy)

  Creates a new UddiServiceInstanceLocatorV01_08

  Parameters:
    `uddiProxy` - the UDDIProxy to be used

Method Detail

### findSeviceInstances

    public List<ServiceInstanceInfo> findSeviceInstances(ServiceInstanceParameter searchParameter)
                                                  throws IOException

  Invoce this method to search for service instances that conform to the given search parameters.

  Specified by:
    `findSeviceInstances` in interface `ServiceInstanceLocator`
  Parameters:
    `searchParameter` - the parameter used during search
  Returns:
    all instances found
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD